<%-include('adminpartials/_header.ejs');-%>
<hr>
<%if(user.rol=='Administrador'){%>
  <div class="container mt-5 d-flex justify-content-center">
    <div class="card w-100 bg-dark" style="width: 18rem;">      
        <div class="card-body">
            <form class="form" action="/usersearch" method="POST">
                <div class="row">
                    <div class="col col-lg-11 col-xl-11 col-md-10 col-sm-10 col-10">
                        <div class="form-group">
                            <input  id="buscar" name="buscar" class="form-control" placeholder="Buscar usuarios por nombre" >
                        </div>
                    </div>
                    <div class="col col-lg-1 col-xl-1 col-sm-2 col-2">
                        <button class="btn btn-outline-danger btn-block text-center" type="submit"><i class="fas fa-search"></i></button>
                    </div>
                </div>
            </form>        
        </div>
      </div>
</div>
<div class="container mt-2 d-flex justify-content-center">
  <h1><strong>Registro de Usuarios</strong></h1>
</div>

<div class="container mt-2 mb-5 ">
  <% if(success_msg.length>0){%>
    <%-include('alerts/success.ejs');-%>
  <%}%>
  <div class="row">
      <div class="col">
          <button type="button" class="btn bg-dark mb-3 text-white btn-outline-dark btn-block" data-toggle="modal" data-target="#adduser">
             <strong>REGISTRAR NUEVO USUARIO</strong> 
            </button>
            
            <%-include('alerts/modalsuccess.ejs');-%>
            <%-include('alerts/modalwarning.ejs');-%>
            <% if(success_msg.length>0){%>
             <script>
                $('#success').modal('show');
                $('#adduser').modal('hide');
             </script>
            <%}%>
            <% if(error_msg.length>0){%>
              <script>
                $('#warning').modal('show');
                $('#adduser').modal('hide');
              </script>
             
            <%}%>
      </div>
  </div>
</div>
    <div class="container text-center">
        <h1> <strong>Usuarios Registrados</strong></h1>
    </div>
    
    <div class="container mt-5 justify-content-center">     
                <div class="row row-cols-xl-6 row-cols-lg-4 row-cols-sm-2 row-cols-md-2">
                    <!--Begin card--> 
                    <% if(data){ %>
                        <!--the for cicle must starts over the column-->
                        <% for(var i = 0; i < data.length; i++){ %>
                    <div class="col">                    
                       <div class="card mb-5" style="width: 17rem;">
                        <div class="card-body">
                          <h5 class="card-title text-center"> <strong><%=data[i].nombre%></strong> </h5>
                        </div>
                        <ul class="list-group list-group-flush">
                          <li class="list-group-item text-center"> <strong>Correo: <%=data[i].correoE%></strong> </li>
                          <li class="list-group-item text-center"> <strong>Rol Actual: <%=data[i].rol%></strong> </li>                 
                        </ul>
                        <div class="card-body bg-dark">                
                          <button type="button" class="btn btn-outline-warning btn-block mb-2" data-toggle="modal" data-target="#deleteuser<%=data[i].idusuario%>">
                            Eliminar
                          </button>
                          <a href="/updateuser/<%=data[i].idusuario%>" class="btn btn-outline-danger btn-block">Modificar</a>
                        </div>
                        <!--Delete modal-->
                        <div id="deleteuser<%=data[i].idusuario %>" class="modal fade" tabindex="-1">
                          <div class="modal-dialog">
                          <div class="modal-content">
                              <div class="modal-header">
                              <h5 class="modal-title text-center">Eliminar Usuario</h5>
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                              </button>
                              <!--<a href="/users" class="close" >
                                  <span aria-hidden="true">&times;</span>
                              </a>   -->
                              </div>
                              <div class="modal-body">
                                  <div class="container mb-3 text-center">
                                      <strong> ¿Estas seguro de eliminar el usuario <%= data[i].nombre %>?<br>
                                      </strong>  
                                  </div> 
                                  <a href="/deleteuser/<%=data[i].idusuario %>" class="btn btn-block btn-warning mb-2">Si, eliminar<a>
                                  <button type="button" class="btn btn-block btn-primary" data-dismiss="modal">Cancelar</button>                         
                              </div>
                              </div>
                          </div>
                      </div>
                  <!--/Delete modal-->
                      </div>
                </div>
                <!--and the last div of the column must be inside the for to generate al possible cards-->
            <%}%>   
        </div>    
       <% } else{ %>
        <div class="container text-center">
            <h1>No hay datos registrados</h1>
        </div>        
      <% } %>
    </div>
 <% } else{%>
  <div  class="container mt-5 d-flex justify-content-center pb-2 bg-danger text-white">
    <h1 style="font-size: 100px;">¿HOLA?</h1>
  </div>
  <div  class="container mt-2 d-flex justify-content-center">
    <h1 style="font-size: 80px;">No eres un administrador</h1>
  </div>
  <div class="container mt-1 d-flex justify-content-center">
    <p style="font-size: 40px;">Esta vista esta reservada solo para administradores</p>
  </div>
  <div class="container mt-5 d-flex justify-content-center">
    <div class="row">
      <div class="col">
        <a href="/news" class="btn btn-danger btn-block">Volver a la Publicación de noticias</a>
      </div>
    </div>
  </div>
<%}%>

<%-include('controls/adduser.ejs');-%>